Subject: Re: [PATCH] gianfar_ptp: use iomem, not ioports resource tree in probe

From: Timur Tabi <[email-masked]>
Date: Wed, 24 Oct 2012 15:11:09 -0500

Richard Cochran wrote:
>> > Oh, I agree with that.  I was just wondering why an OF-enabled driver
>> > would not use OF calls.  I've never seen that before.  My instinct is that
>> > the original developer had no idea what he was doing, but perhaps there is
>> > a very good reason for the way the driver is written.

> Instead of using your instinct, try using your brain instead.

Well, as you are obviously so much smarter than I am, how about
enlightening me?  I do not see any explanations in the original commit,
and I do not know why someone would use non-OF calls to get data from the
device tree.  I didn't even know that you could use platform_get_irq() to
get the virtual IRQ from a device tree.

-- 
Timur Tabi
Linux kernel developer at Freescale